Build fails with cmake/ninja and poppler-0.26.4

Bug #1378843 reported by Shlomi Fish on 2014-10-08
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Inkscape
Low
Shlomi Fish

Bug Description

The build fails with cmake/ninja and poppler-0.26.4. Here is the dump. Patch will be attached soon:

I'm on Mageia Linux x86-64 Cauldron and building inkscape using ninja like so:

<<<<<<<
#!/bin/bash
build_type=''
if test "$DEBUG" = 1 ; then
    build_type='-DCMAKE_BUILD_TYPE=Debug'
fi
cmake -G Ninja $build_type -DCMAKE_INSTALL_PREFIX="$HOME/apps/graphics/inkscape-trunk" -DENABLE_LCMS=ON -DCMAKE_CXX_FLAGS="-fpermissive" -DENABLE_POPPLER=ON -DENABLE_POPPLER_CAIRO=ON ../inkscape/
>>>>>>>

And I am getting these errors after running "ninja" - I'll try to investigate.

[1/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/pdfinput/pdf-parser.cpp.o
[2/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/modulate.cpp.o
[3/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/negate.cpp.o
[4/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/normalize.cpp.o
[5/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/oilPaint.cpp.o
[6/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/opacity.cpp.o
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/modulate.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
[7/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/raise.cpp.o
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/normalize.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
[8/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/reduceNoise.cpp.o
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/oilPaint.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
[9/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/sample.cpp.o
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/negate.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
[10/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/shade.cpp.o
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/opacity.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
[11/513] Building CXX object src/CMakeFiles/inkscape.dir/extension/internal/bitmap/sharpen.cpp.o
FAILED: /home/shlomif/bin/c++ -DHAVE_CAIRO_PDF=1 -DHAVE_CONFIG_H -DHAVE_TR1_UNORDERED_SET -DORBIT2=1 -DPOTRACE=\"potrace\" -D_FORTIFY_SOURCE=2 -fpermissive -O3 -DNDEBUG -Isrc -I/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src -I/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/bind/javainc -I/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/bind/javainc/linux -I/home/shlomif/Download/unpack/graphics/inkscape/inkscape -Iinclude -isystem /usr/include/gsl -isystem /usr/include/gc -isystem /usr/include/poppler -isystem /usr/include/cairo -isystem /usr/include/gtk-2.0 -isystem /usr/include/gdkmm-2.4 -isystem /usr/include/gdk-pixbuf-2.0 -isystem /usr/lib64/gtk-2.0/include -isystem /usr/lib64/gdkmm-2.4/include -isystem /usr/include/glib-2.0 -isystem /usr/lib64/glib-2.0/include -isystem /usr/include/glibmm-2.4 -isystem /usr/lib64/glibmm-2.4/include -isystem /usr/include/gtkmm-2.4 -isystem /usr/lib64/gtkmm-2.4/include -isystem /usr/include/atk-1.0 -isystem /usr/include/atkmm-1.6 -isystem /usr/include/pango-1.0 -isystem /usr/include/pangomm-1.4 -isystem /usr/lib64/pangomm-1.4/include -isystem /usr/include/cairomm-1.0 -isystem /usr/lib64/cairomm-1.0/include -isystem /usr/include/giomm-2.4 -isystem /usr/include/sigc++-2.0 -isystem /usr/lib64/sigc++-2.0/include -isystem /usr/include/freetype2 -isystem /usr/include/gtkspell-2.0 -isystem /usr/include/libxml2 -isystem /usr/include/ImageMagick-6 -MMD -MT src/CMakeFiles/inkscape.dir/extension/internal/pdfinput/pdf-parser.cpp.o -MF src/CMakeFiles/inkscape.dir/extension/internal/pdfinput/pdf-parser.cpp.o.d -o src/CMakeFiles/inkscape.dir/extension/internal/pdfinput/pdf-parser.cpp.o -c /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp: In member function ‘void PdfParser::opSetExtGState(Object*, int)’:
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:872:61: error: no matching function for call to ‘GfxColorSpace::parse(Object*, NULL)’
      blendingColorSpace = GfxColorSpace::parse(&obj5, NULL);
                                                             ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:872:61: note: candidate is:
In file included from /usr/include/poppler/Gfx.h:41:0,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:
/usr/include/poppler/GfxState.h:208:25: note: static GfxColorSpace* GfxColorSpace::parse(Object*, OutputDev*, GfxState*, int)
   static GfxColorSpace *parse(Object *csObj, OutputDev *out, GfxState *state, int recursion = 0);
                         ^
/usr/include/poppler/GfxState.h:208:25: note: candidate expects 4 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp: In member function ‘void PdfParser::opSetFillColorSpace(Object*, int)’:
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1113:55: error: no matching function for call to ‘GfxColorSpace::parse(Object*, NULL)’
     colorSpace = GfxColorSpace::parse(&args[0], NULL);
                                                       ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1113:55: note: candidate is:
In file included from /usr/include/poppler/Gfx.h:41:0,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:
/usr/include/poppler/GfxState.h:208:25: note: static GfxColorSpace* GfxColorSpace::parse(Object*, OutputDev*, GfxState*, int)
   static GfxColorSpace *parse(Object *csObj, OutputDev *out, GfxState *state, int recursion = 0);
                         ^
/usr/include/poppler/GfxState.h:208:25: note: candidate expects 4 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1115:51: error: no matching function for call to ‘GfxColorSpace::parse(Object*, NULL)’
     colorSpace = GfxColorSpace::parse(&obj, NULL);
                                                   ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1115:51: note: candidate is:
In file included from /usr/include/poppler/Gfx.h:41:0,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:
/usr/include/poppler/GfxState.h:208:25: note: static GfxColorSpace* GfxColorSpace::parse(Object*, OutputDev*, GfxState*, int)
   static GfxColorSpace *parse(Object *csObj, OutputDev *out, GfxState *state, int recursion = 0);
                         ^
/usr/include/poppler/GfxState.h:208:25: note: candidate expects 4 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp: In member function ‘void PdfParser::opSetStrokeColorSpace(Object*, int)’:
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1156:55: error: no matching function for call to ‘GfxColorSpace::parse(Object*, NULL)’
     colorSpace = GfxColorSpace::parse(&args[0], NULL);
                                                       ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1156:55: note: candidate is:
In file included from /usr/include/poppler/Gfx.h:41:0,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:
/usr/include/poppler/GfxState.h:208:25: note: static GfxColorSpace* GfxColorSpace::parse(Object*, OutputDev*, GfxState*, int)
   static GfxColorSpace *parse(Object *csObj, OutputDev *out, GfxState *state, int recursion = 0);
                         ^
/usr/include/poppler/GfxState.h:208:25: note: candidate expects 4 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1158:51: error: no matching function for call to ‘GfxColorSpace::parse(Object*, NULL)’
     colorSpace = GfxColorSpace::parse(&obj, NULL);
                                                   ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1158:51: note: candidate is:
In file included from /usr/include/poppler/Gfx.h:41:0,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:
/usr/include/poppler/GfxState.h:208:25: note: static GfxColorSpace* GfxColorSpace::parse(Object*, OutputDev*, GfxState*, int)
   static GfxColorSpace *parse(Object *csObj, OutputDev *out, GfxState *state, int recursion = 0);
                         ^
/usr/include/poppler/GfxState.h:208:25: note: candidate expects 4 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp: In member function ‘void PdfParser::opSetFillColorN(Object*, int)’:
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1256:65: error: no matching function for call to ‘GfxResources::lookupPattern(char*, NULL)’
  (pattern = res->lookupPattern(args[numArgs-1].getName(), NULL))) {
                                                                 ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1256:65: note: candidate is:
In file included from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:0:
/usr/include/poppler/Gfx.h:120:15: note: GfxPattern* GfxResources::lookupPattern(char*, OutputDev*, GfxState*)
   GfxPattern *lookupPattern(char *name, OutputDev *out, GfxState *state);
               ^
/usr/include/poppler/Gfx.h:120:15: note: candidate expects 3 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp: In member function ‘void PdfParser::opSetStrokeColorN(Object*, int)’:
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1322:65: error: no matching function for call to ‘GfxResources::lookupPattern(char*, NULL)’
  (pattern = res->lookupPattern(args[numArgs-1].getName(), NULL))) {
                                                                 ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1322:65: note: candidate is:
In file included from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:0:
/usr/include/poppler/Gfx.h:120:15: note: GfxPattern* GfxResources::lookupPattern(char*, OutputDev*, GfxState*)
   GfxPattern *lookupPattern(char *name, OutputDev *out, GfxState *state);
               ^
/usr/include/poppler/Gfx.h:120:15: note: candidate expects 3 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp: In member function ‘void PdfParser::opShFill(Object*, int)’:
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1780:63: error: no matching function for call to ‘GfxResources::lookupShading(char*, NULL)’
   if (!(shading = res->lookupShading(args[0].getName(), NULL))) {
                                                               ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:1780:63: note: candidate is:
In file included from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:0:
/usr/include/poppler/Gfx.h:121:15: note: GfxShading* GfxResources::lookupShading(char*, OutputDev*, GfxState*)
   GfxShading *lookupShading(char *name, OutputDev *out, GfxState *state);
               ^
/usr/include/poppler/Gfx.h:121:15: note: candidate expects 3 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp: In member function ‘void PdfParser::doImage(Object*, Stream*, GBool)’:
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:2853:60: error: no matching function for call to ‘GfxColorSpace::parse(Object*, NULL)’
             colorSpace = GfxColorSpace::parse(&obj1, NULL);
                                                            ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:2853:60: note: candidate is:
In file included from /usr/include/poppler/Gfx.h:41:0,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:
/usr/include/poppler/GfxState.h:208:25: note: static GfxColorSpace* GfxColorSpace::parse(Object*, OutputDev*, GfxState*, int)
   static GfxColorSpace *parse(Object *csObj, OutputDev *out, GfxState *state, int recursion = 0);
                         ^
/usr/include/poppler/GfxState.h:208:25: note: candidate expects 4 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:2947:79: error: no matching function for call to ‘GfxColorSpace::parse(Object*, NULL)’
             GfxColorSpace *maskColorSpace = GfxColorSpace::parse(&obj1, NULL);
                                                                               ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:2947:79: note: candidate is:
In file included from /usr/include/poppler/Gfx.h:41:0,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:
/usr/include/poppler/GfxState.h:208:25: note: static GfxColorSpace* GfxColorSpace::parse(Object*, OutputDev*, GfxState*, int)
   static GfxColorSpace *parse(Object *csObj, OutputDev *out, GfxState *state, int recursion = 0);
                         ^
/usr/include/poppler/GfxState.h:208:25: note: candidate expects 4 arguments, 2 provided
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp: In member function ‘void PdfParser::doForm(Object*)’:
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:3139:57: error: no matching function for call to ‘GfxColorSpace::parse(Object*, NULL)’
  blendingColorSpace = GfxColorSpace::parse(&obj3, NULL);
                                                         ^
/home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:3139:57: note: candidate is:
In file included from /usr/include/poppler/Gfx.h:41:0,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/pdfinput/pdf-parser.cpp:35:
/usr/include/poppler/GfxState.h:208:25: note: static GfxColorSpace* GfxColorSpace::parse(Object*, OutputDev*, GfxState*, int)
   static GfxColorSpace *parse(Object *csObj, OutputDev *out, GfxState *state, int recursion = 0);
                         ^
/usr/include/poppler/GfxState.h:208:25: note: candidate expects 4 arguments, 2 provided
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/raise.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/reduceNoise.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/sharpen.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/sample.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
In file included from /usr/include/ImageMagick-6/Magick++/Include.h:13:0,
                 from /usr/include/ImageMagick-6/Magick++.h:9,
                 from /home/shlomif/Download/unpack/graphics/inkscape/inkscape/src/extension/internal/bitmap/shade.cpp:13:
/usr/include/ImageMagick-6/magick/magick-config.h:29:3: warning: #warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_QUANTUM_DEPTH to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:30:3: warning: #warning "this is an obsolete behavior please fix your makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix your makefile"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:52:3: warning: #warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default" [-Wcpp]
 # warning "you should set MAGICKCORE_HDRI_ENABLE to sensible default set it to configure time default"
   ^
/usr/include/ImageMagick-6/magick/magick-config.h:53:3: warning: #warning "this is an obsolete behavior please fix yours makefile" [-Wcpp]
 # warning "this is an obsolete behavior please fix yours makefile"
   ^
ninja: build stopped: subcommand failed.

Shlomi Fish (shlomif-gmail) wrote :

Patch to correct the problem.

su_v (suv-lp) on 2014-10-08
tags: added: build cmake
Shlomi Fish (shlomif-gmail) wrote :

Hi all,

can you please apply this patch? It's been over two weeks.

Regards,

-- Shlomi Fish

Shlomi Fish (shlomif-gmail) wrote :

This is a better patch with more fixes. t fixes a not found giommconfig.h variable.

Shlomi Fish (shlomif-gmail) wrote :

This patch fixes even more problems with the CMake build. Some of them were introduced later. Please apply it.

njh (njh-njhurst) wrote :

Yep, this works for me. I also had to move color.h include outside lcms ifdef:
=== modified file 'src/svg/svg-color.cpp'
--- src/svg/svg-color.cpp 2014-10-11 17:15:03 +0000
+++ src/svg/svg-color.cpp 2014-11-22 23:11:41 +0000
@@ -32,8 +32,8 @@
 #include "svg-color.h"
 #include "svg-icc-color.h"

-#if defined(HAVE_LIBLCMS1) || defined(HAVE_LIBLCMS2)
 #include "color.h"
+#if defined(HAVE_LIBLCMS1) || defined(HAVE_LIBLCMS2)
 #include "color-profile.h"
 #include "document.h"
 #include "inkscape.h"

Changed in inkscape:
status: New → Confirmed
su_v (suv-lp) wrote :

AFAICT the patch in comment #5 is not directly related to cmake-based builds - it is also required for autotools-based trunk builds (rev >= 13466) if configured without any lcms support [1].

Without patch, a build without any lcms support fails with:

  CXX svg/svg-color.o
../../src/svg/svg-color.cpp:359:9: error: use of undeclared identifier 'sp_color_hsl_to_rgb_floatv'
        sp_color_hsl_to_rgb_floatv( rgb, h, s, l );
        ^
1 error generated.
make[3]: *** [svg/svg-color.o] Error 1
make[2]: *** [all] Error 2
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2

Patch tested successfully on OS X 10.7.5 with lp:inkscape r13748 configured with '--enable-lcms=no' (using default autotools-based build system).

--
[1[ the same issue also was mentioned on irc earlier - see log for #inkscape-devel from 2014-08-25.

njh (njh-njhurst) on 2014-11-24
Changed in inkscape:
status: Confirmed → Fix Committed
su_v (suv-lp) wrote :

On 2014-11-24 22:11 (+0100), njh wrote:
> ** Changed in: inkscape
> Status: Confirmed => Fix Committed

I don't see a related commit in any of the active branches of the project - could you please clarify?

su_v (suv-lp) wrote :

Reopening (based on commit log lp:inkscape @ r13762):
1) The proposed cmake fixes (poppler 0.26, giomm, LCMS2) haven't been committed to trunk yet.
2) The fix for building without any lcms support (comments 5-6) has not been committed to trunk yet.
3) Cmake LCMS/LCMS2 support doesn't seem fully solved yet, otherwise njh's build would not have failed due to 2 (according to conversations on irc 'liblcms2-dev' was installed but not detected).

The fix for building without lcms support should be tracked in a separate report since AFAICT it doesn't depend on the build system used.

Changed in inkscape:
status: Fix Committed → Triaged
ScislaC (scislac) on 2014-11-25
Changed in inkscape:
importance: Undecided → Low
milestone: none → 0.92
su_v (suv-lp) wrote :

@ScislaC - thx for committing the patches.

On 2014-11-25 22:37 (+0100), ~suv wrote:
> 3) Cmake LCMS/LCMS2 support doesn't seem fully solved yet, otherwise
> njh's build would not have failed due to 2 (according to
> conversations on irc 'liblcms2-dev' was installed but not detected).

AFAICT the patches attached to this report are based on the branch
<https://code.launchpad.net/~shlomif-gmail/inkscape/inkscape>
and lack the file which was added there to detect LCMS2:

> Fix the LCMS handling by the CMake build system.
> Added FindLCMS2.cmake from openjpeg.
<http://bazaar.launchpad.net/~shlomif-gmail/inkscape/inkscape/revision/13302>

The file in the branch:
<http://bazaar.launchpad.net/~shlomif-gmail/inkscape/inkscape/view/head:/CMakeScripts/Modules/FindLCMS2.cmake>

This missing file likely caused the failure to detect LCMS2 and subsequently triggered the build failure if all lcms support is disabled.

su_v (suv-lp) wrote :

Build failure without lcms support filed as
- Bug #1396372 “build failure with '--enable-lcms=no' (rev >= 13466)”
  https://bugs.launchpad.net/inkscape/+bug/1396372

ScislaC (scislac) on 2014-11-26
Changed in inkscape:
status: Triaged → Fix Released
su_v (suv-lp) on 2014-11-26
Changed in inkscape:
status: Fix Released → Fix Committed
su_v (suv-lp) wrote :

Related commits (trunk): r13764, r13766.

jazzynico (jazzynico) on 2015-02-06
Changed in inkscape:
assignee: nobody → Shlomi Fish (shlomif-gmail)
Bryce Harrington (bryce) on 2017-01-10
Changed in inkscape:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints